Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.vocabulary
Class JosekiModule

    java.lang.Object
      org.joseki.vocabulary.JosekiModule

public class JosekiModule
extends java.lang.Object

Vocabulary definitions from etc/joseki-module.n3

Author:
  Auto-generated by schemagen on 20 Jun 2003 15:22

Field Summary
`static com.hp.hpl.jena.rdf.model.Property` | `className` Load Java class
`static com.hp.hpl.jena.rdf.model.Property` | `implementation` Identifies the implementation to use
`static com.hp.hpl.jena.rdf.model.Property` | `interface_` URI of the interface for the binding.
`static com.hp.hpl.jena.rdf.model.Property` | `module` module
`static com.hp.hpl.jena.rdf.model.Resource` | `Module`
`static com.hp.hpl.jena.rdf.model.Resource` | `ModuleBinding`
`static com.hp.hpl.jena.rdf.model.Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://joseki.org/2003/06/module#")

Constructor Summary
`JosekiModule()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://joseki.org/2003/06/module#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final com.hp.hpl.jena.rdf.model.Resource NAMESPACE

  The namespace of the vocabalary as a resource

### module

    public static final com.hp.hpl.jena.rdf.model.Property module

  module

### interface_

    public static final com.hp.hpl.jena.rdf.model.Property interface_

  URI of the interface for the binding.

### implementation

    public static final com.hp.hpl.jena.rdf.model.Property implementation

  Identifies the implementation to use

### className

    public static final com.hp.hpl.jena.rdf.model.Property className

  Load Java class

### Module

    public static final com.hp.hpl.jena.rdf.model.Resource Module

### ModuleBinding

    public static final com.hp.hpl.jena.rdf.model.Resource ModuleBinding

Constructor Detail

### JosekiModule

    public JosekiModule()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.